//Template
#include <bits/stdc++.h>
#define INF INT_MAX
#define MOD 100000007
#define MAX_N 5000

using namespace std;

int A, B, C;
int br_cif(int x){
	if(x<10)return 1;
	return br_cif(x/10)+1;
}
string s[6];
int main(){
	cin>>A>>B>>C;
	auto a = to_string(A);
	auto b = to_string(B);
	auto c = to_string(C);
	s[0]=a+b+c;
	s[1]=a+c+b;
	s[2]=b+a+c;
	s[3]=b+c+a;
	s[4]=c+a+b;
	s[5]=c+b+a;
	sort(s, s+6);
	cout<<s[5];
	return 0;
}